using System;
using System.Reflection;

internal sealed class Delegate854 : MulticastDelegate
{
	public extern MemberInfo Invoke(object object_0, int int_0);

	public static MemberInfo smethod_0(object object_0, int int_0, Delegate854 delegate854_1)
	{
		return delegate854_1(object_0, int_0);
	}

	public extern Delegate854(object object_0, IntPtr intptr_0);

	static Delegate854()
	{
		Class10.smethod_13(typeof(Delegate854).TypeHandle);
	}

	internal static Delegate854 delegate854_0;
}
